# -*- coding: utf-8 -*-
import xbmcgui, xbmcplugin
import json
from sys import argv
from apis.imdb_api import imdb_user_lists
from modules.nav_utils import build_url
from modules.kodi_utils import translate_path, setView
from modules.utils import local_string as ls
# from modules.utils import logger

default_imdb_icon = translate_path('special://home/addons/script.tikiart/resources/media/imdb.png')
fanart = translate_path('special://home/addons/plugin.video.fen/fanart.png')

def imdb_build_user_lists(db_type):
	__handle__ = int(argv[1])
	user_lists = imdb_user_lists(db_type)
	mode = 'build_movie_list' if db_type == 'movies' else 'build_tvshow_list'
	for item in user_lists:
		cm = []
		url_params = {'mode': mode, 'action': 'imdb_user_list_contents', 'list_id': item['list_id']}
		imdb_selection_url = {'mode': 'navigator.adjust_main_lists', 'method': 'add_imdb_external', 'name': item['title'], 'imdb_params': json.dumps(url_params)}
		imdb_folder_selection_url = {'mode': 'navigator.adjust_shortcut_folder_lists', 'method': 'add_imdb_external', 'name': item['title'], 'imdb_params': json.dumps(url_params)}
		url = build_url(url_params)
		listitem = xbmcgui.ListItem(item['title'])
		listitem.setArt({'icon': default_imdb_icon, 'poster': default_imdb_icon, 'thumb': default_imdb_icon, 'fanart': fanart, 'banner': default_imdb_icon})
		cm.append((ls(32730),'RunPlugin(%s)' % build_url(imdb_selection_url)))
		cm.append((ls(32731),'RunPlugin(%s)' % build_url(imdb_folder_selection_url)))
		listitem.addContextMenuItems(cm)
		xbmcplugin.addDirectoryItem(__handle__, url, listitem, isFolder=True)
	xbmcplugin.setContent(__handle__, 'files')
	xbmcplugin.endOfDirectory(__handle__)
	setView('view.main')




